Error installing Wine on Raspi3

Error installing Wine on Raspi3

Postby d3m0 » Sun Nov 12, 2017 7:14 am

Hi I recently purchased a license to use exagear desktop on Raspberry pi 3.

Installation of Exagear went ok and I got i686 architecture read from uname -a command.

Problem became when I tried to apt-get install wine. System is a new frehsly installed RASPBIAN STRETCH downloaded from raspberry pi site. Here is the error:

Code: Select all

pi@raspberrypi:~ $ sudo apt-get install wine
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 systemd : Depends: libsystemd0 (= 215-17+deb8u2) but 215-17+deb8u7 is to be installed
           Recommends: libpam-systemd but it is not going to be installed
           Recommends: dbus but it is not going to be installed
 systemd-sysv : Depends: systemd (= 215-17+deb8u7) but 215-17+deb8u2 is to be installed
 wine : Depends: wine2.0 but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
pi@raspberrypi:~ $ sudo apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
  systemd
Suggested packages:
  systemd-ui
Recommended packages:
  libpam-systemd dbus
The following packages will be upgraded:
  systemd
1 upgraded, 0 newly installed, 0 to remove and 68 not upgraded.
2 not fully installed or removed.
Need to get 0 B/2574 kB of archives.
After this operation, 10.2 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
debconf: Perl may be unconfigured (Can't locate strict.pm in @INC (you may need to install the strict module) (@INC contains: /etc/perl /usr/local/lib/i386-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/i386-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/i386-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at (eval 1) line 2.
BEGIN failed--compilation aborted at (eval 1) line 2.
) -- aborting
(Reading database ... 9605 files and directories currently installed.)
Preparing to unpack .../systemd_215-17+deb8u7_i386.deb ...
Unpacking systemd (215-17+deb8u7) over (215-17+deb8u2) ...
dpkg: error processing archive /var/cache/apt/archives/systemd_215-17+deb8u7_i386.deb (--unpack):
 error creating directory `./etc/systemd/user': Not a directory
Errors were encountered while processing:
 /var/cache/apt/archives/systemd_215-17+deb8u7_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)




EDIT: same issue with 2017-07-05-raspbian-jessie I will try an older one
d3m0
 
Posts: 1
Joined: Sun Nov 12, 2017 7:06 am

Return to ExaGear Desktop

Who is online

Users browsing this forum: No registered users and 5 guests